<!-- Extend the layout template -->
<!-- Can leave any block as default if preferred -->
{% extends 'shared/layout.html' %}
<!-- Load static method for templates -->
{% load static %}
<!-- title block sets the main title on the page (in browser bar)-->
{% block title %}
  Anon Ticket
{% endblock %}
<!-- Extra links block for pages that have a user_identifier piped to them.-->
{% block extra_links %}
  {% include 'shared/extend_sidebar.html' %}
{% endblock %}
<!-- h3 block sets the main title -->
{% block h3 %}
  Anon Ticket
{% endblock %}

<!-- Subheader block sets the subheader -->
{% block subheader %} 
  User Landing Page for:
  <div class="p-2 pb-0">
    <h3 class="text-primary">{{results.user_identifier}}</h3>
  <!-- Check if user_found in results dictionary. If so, list actions already taken. -->
    {% if results.user_found %}
      <p class="small ml-0 mb-0">
        (***This User Identifier has been found. <b>Record your identifier in a safe place</b> to return to it at a later date.)
      </p>
    {% else %}
      <p class="small ml-0">
        (No actions taken yet with this user identifier. <b>Record your identifier in a safe place</b>
        to return to it at a later date.)
      </p>
    {% endif %}
  </div>
{% endblock %}
<!-- End of subheader block -->

<!-- Main content block  -->
{% block content %}
<div class="row">
  <div class="col-12">
    <!-- List actions that can be taken. -->
    <h4 class="mt-0">You can take the following actions:</h4>
    <!-- Generate the action URLS on the fly within the template. -->
    <!-- Note: Maria fix this later - should be in view. -->
    <p class='mt-4 mb-0'>
      <ul>
        <li>{% url 'project-list' as project_list_url %}
          <a href="{{project_list_url}}">See a list of all projects</a> that
          currently take ticket reports via Anon-Ticket. Each project 
          listed links to a detail page with a list of current issues.</li>
        <li>{% url 'issue-search' as search_url %}
        <a href="{{search_url}}">Search for an issue</a> inside of a given project.</li>
        <li>{% url 'create-issue' as create_url %}
        <a href="{{create_url}}">Create an issue</a> inside of a given project.</li>
        <li>To create a note on an existing issue, use one of the methods above 
          to navigate to an issue's detail page, and then click "Create Note."
        </li>
      </ul>
    </p>
  </div>
</div>

<!-- List the issues the user has created. -->
<div class="row">
  <div class="col-12 mt-3">
    <h4 class="mt-3">You have created the following issues:</h4>
    <p class="small short-height">
      (If you'd like to create a new issue, please use one of the options above.)
    </p> 
  </div>
</div>
<!-- If results.linked_issues, render the issues table. -->
{% if results.linked_issues %}
<div class="row">
  <div class="col-12 mt-3">
    <table>
      <thead>
        <th class="align-middle" style="width:15%">
          Project
        </th>
        <th class="align-middle">
          Issue # / Issue Title
        </th>
        <th class="align-middle">
          Confidential?
        </th>
        <th class="align-middle" style="width:15%">
          Issue Status
        </th>
        <th class="align-middle" style="width:15%">
          Reason for rejection
        </th>
      </thead>
      <tbody>
        {% for issue in results.linked_issues %}
        <tr>
          <td style="width:20%">
            {{issue.attributes.linked_project.name_with_namespace}}
          </td>
          <td style="width:40%">
            Issue #{{issue.attributes.gitlab_iid}}: <a href="{{issue.issue_url}}">{{issue.attributes.title}}</a>
          </td>
          <td>
            {{issue.attributes.confidential}}
          </td>
          <td>
            {{ issue.attributes.get_reviewer_status_display }}
          </td>
          <td>
            {% if issue.attributes.reviewer_status == "R" %}
              {{ issue.attributes.rejection_reason }}
            {% endif %}
          </td>
        </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>
</div>
<!-- Else, render the following block -->
{% else %}
<div class="row">
  <div class="col-12 mt-0">
    <p class="text-primary">You have not created any issues.</p>
  </div>
</div>
{% endif %}

<!-- List the notes the user has created. -->
<div class="row">
  <div class="col-12 mt-3">
    <h4 class="mt-4">You have created the following notes:</h4>
    <p class="small short-height">(To create a new note, <a href="{{search_url}}">
      search for the issue</a> you want to comment on, or look at the 
      <a href="{{project_list_url}}">project's detail view</a> to find it.) 
  </div>
</div>

<!-- If results.linked_notes, render the notes table. -->
{% if results.linked_notes %}
<div class="row">
  <div class="col-12 mt-3">
    <table>
      <thead>
        <th class="align-middle" style="width:15%">
          Project
        </th>
        <th class="align-middle">
          Issue # / Issue Title
        </th>
        <th class="align-middle">
          Note Excerpt and Link
        </th>
        <th class="align-middle" style="width:15%">
          Note Status
        </th>
        <th class="align-middle" style="width:15%">
          Reason for rejection
        </th>
      </thead>
      <tbody>
        {% for note in results.linked_notes %}
        <tr>
          <td style="width:25%">
            {{note.attributes.linked_project.name_with_namespace}}
          </td>
          <td>
            Issue #{{note.attributes.issue_iid}}: 
            <a href="{{note.note_url}}">{{note.attributes.gitlab_issue_title}}</a>
          </td>
          <td>
            {{note.attributes.body|capfirst|truncatewords:20}}
            <p class="mb-0 small"><a href="{{note.note_url}}">{{note.link_text}}</a></p>
          </td>
          <td>
            {{ note.attributes.get_reviewer_status_display }}
          </td>
          <td>
            {% if note.attributes.reviewer_status == "R" %}
              {{ note.attributes.rejection_reason }}
            {% endif %}
          </td>
        </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>
</div>
<!-- Else, render the following block -->
{% else %}
<div class="row">
  <div class="col-12 mt-0">
    <p class="text-primary">You have not created any notes.</p>
  </div>
</div>
{% endif %}
{% endblock %}
